net.corda.node.services.transactions

## Class InMemoryUniquenessProvider

- net.corda.node.services.transactions.InMemoryUniquenessProvider

- All Implemented Interfaces:
    UniquenessProvider

      public class InMemoryUniquenessProvider
      implements UniquenessProvider

  A dummy Uniqueness provider that stores the whole history of consumed states in memory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.core.node.services.UniquenessProvider

      `UniquenessProvider.Conflict, UniquenessProvider.ConsumingTx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InMemoryUniquenessProvider()` A dummy Uniqueness provider that stores the whole history of consumed states in memory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit(java.util.List<net.corda.core.contracts.StateRef> states, SecureHash txId, Party callerIdentity)` Commits all input states of the given transaction

    - ### Methods inherited from interface net.corda.core.node.services.UniquenessProvider

      `commit`

- - ### Constructor Detail

    - #### InMemoryUniquenessProvider

          public InMemoryUniquenessProvider()

      A dummy Uniqueness provider that stores the whole history of consumed states in memory

  - ### Method Detail

    - #### commit

          public void commit(java.util.List<net.corda.core.contracts.StateRef> states,
                             SecureHash txId,
                             Party callerIdentity)

      Commits all input states of the given transaction